%define name		vo-amrwbenc
%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		%{name}
Version:	0.1.3
Release:	%mkrel 6
Summary:	VisualOn AMR-WB encoder library
License:	ASL 2.0
Group:		System/Libraries
URL:		https://opencore-amr.sourceforge.net/
Source0:	https://sourceforge.net/projects/opencore-amr/files/%{name}/%{name}-%{version}.tar.gz

%description
This library contains an encoder implementation of the Adaptive Multi
Rate Wideband (AMR-WB) audio codec. The library is based on a codec
implementation by VisualOn as part of the Stagefright framework from
the Google Android project.

This package is in the 'tainted' section because the AMR audio 
compression scheme is covered by patents.

%package -n	%{libname}
Group:		System/Libraries
Summary:	VisualOn AMR-WB encoder library

%description -n	%{libname}
This library contains an encoder implementation of the Adaptive Multi
Rate Wideband (AMR-WB) audio codec. The library is based on a codec
implementation by VisualOn as part of the Stagefright framework from
the Google Android project.

This package is in the 'tainted' section because the AMR audio 
compression scheme is covered by patents.

%package -n	%{develname}
Group:		Development/C
Summary:	development files for %{name} AMR wideband encoding library
Provides:	libvo-amrwbenc-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Header files and development libraries for %{name}

%prep
%setup -q

%build
%configure --disable-static
%make

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Jul 03 2025 umeabot <umeabot> 0.1.3-6.mga10
+ Revision: 2244366
- Mageia 10 Mass Rebuild

* Thu Apr 14 2022 umeabot <umeabot> 0.1.3-5.mga9.tainted
+ Revision: 1849722
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 0.1.3-4.mga8.tainted
+ Revision: 1548893
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.1.3-3.mga7.tainted
+ Revision: 1291992
- Mageia 7 Mass Rebuild

* Wed Feb 24 2016 daviddavid <daviddavid> 0.1.3-2.mga6.tainted
+ Revision: 978117
- Mageia 6 Mass Rebuild

* Sat Dec 26 2015 luigiwalser <luigiwalser> 0.1.3-1.mga6.tainted
+ Revision: 915452
- 0.1.3

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-7.mga5.tainted
+ Revision: 741852
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-6.mga5.tainted
+ Revision: 690233
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 0.1.1-5.mga4.tainted
+ Revision: 548285
- Mageia 4 rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-4.mga3.tainted
+ Revision: 385468
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 fwang <fwang> 0.1.1-3.mga2.tainted
+ Revision: 205065
- drop .la file

* Thu May 26 2011 cjw <cjw> 0.1.1-2.mga1.tainted
+ Revision: 100422
- add missing library dependency on devel package

* Mon May 09 2011 cjw <cjw> 0.1.1-1.mga1
+ Revision: 96780
- add 'tainted' notice
- imported package vo-amrwbenc

